import { UserAvatar } from "@/components/user-avatar";
import { IGweet } from "../types";
import { GweetOptions } from "./gweet-options";

export const GweetAuthor = ({ gweet }: { gweet: IGweet }) => {
    return (
        <div className="flex items-center">
            <UserAvatar
                user={{ username: gweet.author.username, image: gweet.author.image }}
                className="h-10 w-10"
            />

            <div className="flex flex-col ml-3">
                <span className="font-bold">{gweet.author.name}</span>
                <span className="text-sky-500 text-sm">@{gweet.author.username}</span>
            </div>

            <div className="ml-auto">
                <GweetOptions gweet={gweet} />
            </div>
        </div>
    );
};